> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/walkthroughs/power-bi-integration/reporting-with-power-bi.md).

# Reporting with Power BI

For this Power BI report we have created a survey and generated data to show you the transformation of questions and answers into comprehensive cross-data report.

## 📃 ngSurvey template&#x20;

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHlDrpuADJpHmCwZkFl%2F-MHlFDFc5k9FuXXRqwaS%2Fcaptured%20\(18\).png?alt=media\&token=a0d18fc7-c617-451e-8ca1-d7b2ff9c2e59)

This is the template with questions we have used to create a report

{% hint style="info" %}
The respondents answers that are shown here are not real and were generated particularly for this walkthough
{% endhint %}

## 📈 ngSurvey report example

Here you can see the data report by each question of the template we used.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHlDrpuADJpHmCwZkFl%2F-MHlIoSa70ehS4Vxosfj%2Fcaptured%20\(10\).gif?alt=media\&token=25c6db86-1e72-441a-bb07-8e1c110cc346)

We have 930 unique respondents from 33 countries

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHlDrpuADJpHmCwZkFl%2F-MHlLbF-aVp8F6EiXf6r%2Fcaptured%20\(19\).png?alt=media\&token=8d2bfcb5-f7ec-4a50-bcb3-1293a1f600b1)

According to the answers you can see, for example, in which area how many people plan to use the survey

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHlZktDfIFEq4WV2bZU%2F-MHpPcOnR2cUwDNRcttX%2Fcaptured%20\(20\).png?alt=media\&token=9c975897-e028-42f9-ada5-178827e19631)

The level of preference is shown by each grade (from 0 to 10) and as the average level of preference of a total amount respondents, which is equal here 5.6 out of 10.

## 📊 Power BI report example

To create a more comprehensive cross-data report, based on the data from the survey, we have chosen as a value question the question **"How likely you will recommend our service to your friends and colleagues?"** to monitor the results according to the:‌

1. **Country** ("Where are you from?")
2. **Age (**"How old are you?")
3. **Education** ("What is your educational background?")
4. **Area of use** ("In which are do you plan to use your survey?")

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHpSZK0gVn3NYMNUuKc%2F-MHpY5WSz7HSz-K2FcsY%2Fppowerbbi3.png?alt=media\&token=e345c572-e012-42ca-91f0-758446f7d4c1)

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHpSZK0gVn3NYMNUuKc%2F-MHpfUttbifkQIKPaAzt%2Fcaptured%20\(12\).gif?alt=media\&token=befdfbdf-2355-4bf5-b569-1073d0277221)

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHpi8uRsOvE5-wnI49i%2F-MHpj3WCkVWX81ajco0C%2Fcaptured%20\(14\).gif?alt=media\&token=460a39ca-4a28-4aee-b889-02784933995e)

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MHpSZK0gVn3NYMNUuKc%2F-MHphQ07pEoeyAhOwSsG%2Fcaptured%20\(23\).png?alt=media\&token=03333b9c-62e3-4f26-819d-e95745f63d30)

1. There are 930 unique respondents
2. The average result to the question "How likely you will recommend our service to your friends and colleagues?" is 5,59 out of 10
3. This **treemap** shows the level of preference according to the country of the respondent. The higher the level of preference the bigger the block
4. The **line chart** displays the average result of the level of preference according to the age and educational background. It is performed in 4 groups according to the age of the respondents that include 5 variants of educational background
5. The **area of use** slicer allows to see the results separately, according to each area. For example all the results of the respondents who plan to use their survey in Science.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/walkthroughs/power-bi-integration/reporting-with-power-bi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
